Public Member Functions | Static Public Member Functions | List of all members
WP3Part Class Referenceabstract

`#include <WP3Part.h>`

Inheritance diagram for WP3Part:

## Public Member Functions
virtual | ~WP3Part ()
virtual void | parse (WP3Listener *listener)=0

## Static Public Member Functions
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ ~WP3Part()

virtual WP3Part::~WP3Part | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ constructPart()

WP3Part * WP3Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | readVal
| ) |  |
| static

Referenced by WP3Parser::parseDocument().

## ◆ parse()

virtual void WP3Part::parse | ( | WP3Listener * | listener | ) |
| pure virtual

Implemented in WP3WindowGroup, WP3UndoGroup, WP3TablesGroup, WP3TabGroup, WP3CondensedLRIndentFunction, WP3CondensedIndentFunction, WP3CondensedBackTabFunction, WP3CondensedTabFunction, WP3SoftHyphenFunction, WP3HyphenFunction, WP3EOPFunction, WP3EOLFunction, WP3HardSpaceFunction, WP3PageFormatGroup, WP3MiscellaneousGroup, WP3IndentGroup, WP3HeaderFooterGroup, WP3FootnoteEndnoteGroup, WP3FontGroup, WP3ExtendedCharacterGroup, WP3EndOfLinePageGroup, WP3DoubleByteScriptCharacterGroup, WP3DisplayGroup, WP3DefinitionGroup, WP3AttributeGroup, WP3UnsupportedVariableLengthGroup, and WP3UnsupportedFixedLengthGroup.

The documentation for this class was generated from the following files:

- WP3Part.h
- WP3Part.cpp